<!doctype html>
<html lang="en">
    <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" href="/stylesheets/game.css">
    <title>Traditional Games</title>
    </head>
    <body>
        <div class="container-fluid">
            <div class="row">
                <div class="col back-nav">
                    <svg width="36" height="38" viewBox="0 0 36 38" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M35.0039 37.8633L0.09375 22.4648V17.4375L35.0039 0V8.4375L10.957 19.582L35.0039 29.4609V37.8633Z" fill="#724C21"/>
                    </svg>
                    <span><a href=/users/<%= dataUser.username%>>Back</a></spans>          
                </div>
            </div>
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-4 item-games">
                        <div class="row">
                            <h3>Player 1</h3>
                        </div>
                        <div class="row" id="user-rock">
                            <a href="#" onclick="whatUserChoice('rock'), saveGameResult('<%=dataUser.username%>')"><img src="/images/assets/batu.png" alt=""></a>
                        </div>
                        <div class="row" id="user-paper">
                            <a href="#" onclick="whatUserChoice('paper'), saveGameResult('<%=dataUser.username%>')"><img src="/images/assets/kertas.png" alt=""></a>
                        </div>
                        <div class="row" id="user-scissors">
                            <a href="#" onclick="whatUserChoice('scissors'), saveGameResult('<%=dataUser.username%>')"><img src="/images/assets/gunting.png" alt=""></a>
                        </div>
                    </div>
                    <div class="col-4" style="position: relative;">
                        <div class="result">
                            <span id="beforeGameStarted">VS</span>

                            <div class="winner text-center" id="com-win">
                                <span>COM </br>   WIN</span>
                            </div>

                            <div class="winner text-center" id="user-win">
                                <span>PLAYER 1 WIN</span>
                            </div>

                            <div class="winner text-center" id="draw" style="background-color: #035c0c ; padding-top: 40px;">
                                <span>DRAW</span>
                            </div>
                            
                            <!-- saveGameResult -->
                            <div class="form-group" style="display: none;">
                                <input type="text" class="form-control" id="gameResult">
                            </div>

                        </div>
                    </div>
                    <div class="col-4 item-games com-side">
                        <div class="row">
                            <h3>COM</h3>
                        </div>
                        <div class="row" id="com-rock">
                            <a href="#"><img src="/images/assets/batu.png" alt=""></a>
                        </div>
                        <div class="row" id="com-paper">
                            <a href="#"><img src="/images/assets/kertas.png" alt=""></a>
                        </div>
                        <div class="row" id="com-scissors">
                            <a href="#"><img src="/images/assets/gunting.png" alt=""></a>
                        </div>
                    </div>
                </div>
                <div class="row text-center">
                    <div class="col">
                        <a href="#" onclick="refreshButton()"><img src="/images/assets/refresh.png" alt="" style="width: 50px; height: 50px;"></a>
                    </div>
                </div>
            </div>
        </div>

    <!-- Optional JavaScript; choose one of the two! -->

    <!-- Option 1: Bootstrap Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
    <script src="/javascripts/game.js"></script>
    <!-- Option 2: Separate Popper and Bootstrap JS -->
    <!--
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js" integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF" crossorigin="anonymous"></script>
    -->
  </body>
</html>